#ifndef OBJECT_H
#define OBJECT_H

class Object
{
  public:
    Object(const char* mesh_path,const char *texture_path,double radius_,double height_,bool is_visible);
    void Move(double mvt);
    void MoveDown(double mvt);
    void MoveRight(double mvt);
    void Rotate(double rot_y);
    bool IsColliding();
    vector3df GetPosition();
    vector3df GetRotation();
  private:
    IAnimatedMesh *obj_mesh;
    ISceneNode *obj;
    double radius;
    double height;
};

#endif /*OBJECT_H*/

