#ifndef SETTINGS_H
#define SETTINGS_H

void settings_Init(void);
void settings_AddItem(const char* name,double initial_value);
double settings_GetValue(const char *name_setting);
void settings_SetValue(const char *name_setting,double new_value);
void settings_ReadXMLSettingsFile(const char *config_file);
void settings_WriteXMLSettingsFile(const char *config_file);
void settings_Destroy(void);

#endif /*SETTINGS_H*/
