#ifndef TABLEWORLD_H
#define TABLEWORLD_H

void tableworld_Create(int size_x_,int size_y_,int size_z_,double probability_cube);
void tableworld_Set(int x,int y,int z,bool value);
bool tableworld_Get(int x,int y,int z);
bool tableworld_GetWithPos(core::vector3df v);
void tableworld_Destroy(void);
vector3df tableworld_GetRandomPosition(void);
bool tableworld_TestMazeIsSolvable(vector3df initial_pos,vector3df objective_pos);
void tableworld_LoadCubes(
    bool is_fog_enable,bool is_glasses_world,
    ITexture* texture_side,ITexture* texture_top,ITexture* texture_bottom);
void tableworld_MoveCube(double distance,Player *lpPlayer,ISceneNode * objective);
void tableworld_QuakeOnAllCubes(double intensity);

#endif /*TABLEWORLD_H*/
