
/******************************************************************
Done by Francois Braud
******************************************************************/

#ifndef Sound_OpenAL_h_INCLUDED
#define Sound_OpenAL_h_INCLUDED

class Sound_OpenAL
{
private:
    unsigned int bufferID;
    unsigned int sourceID;
    Sound_OpenAL():bufferID(0), sourceID(0) {}
    Sound_OpenAL(unsigned int parBufferID, unsigned int parSourceID):bufferID(parBufferID), sourceID(parSourceID) {}
public:
    static Sound_OpenAL* loadSoundFromFile(const char* fileName);

	~Sound_OpenAL();

    void play(bool blockUntilEnd);
    bool isPlaying() const;
	void setVolume(unsigned char vol);
};

//! uniquement .ogg, marche pas bien sous windows
Sound_OpenAL* loadSoundFromFile_OpenAL(const char* fileName);
void initSound_OpenAL(int argc, char *argv[]);
void deinitSound_OpenAL();

#endif /*Sound_OpenAL_h_INCLUDED*/
